diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
index 8903535dd2700249093d02e6ac4bee96665cf8b5..2d521e8d578a8eb47860d826388dc69f759f0ca6 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
@@ -164,9 +164,7 @@ public class NSCertTypeExt extends APolicyRule
         X509CertInfo[] ci =
                 req.getExtDataInCertInfoArray(IRequest.CERT_INFO);
 
-        X509CertInfo certInfo = null;
-
-        if (ci == null || (certInfo = ci[0]) == null) {
+        if (ci == null || ci[0] == null) {
             setError(req, CMS.getUserMessage("CMS_POLICY_NO_CERT_INFO"), NAME);
             return PolicyResult.REJECTED; // unrecoverable error.
         }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
index 52c8f1f6965aff1da79ce585aace1b2b5c9d97a1..fe2565428a170c5a1b9505f87a66b4ea8cfb8b09 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
@@ -136,12 +136,9 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
             mNotAfter = config.getString(PROP_NOT_AFTER, null);
             mCritical = config.getBoolean(PROP_IS_CRITICAL, false);
 
-            // Check the parameter formats
-            String notBefore;
-            String notAfter;
-
-            notBefore = formatter.format(formatter.parse(mNotBefore.trim()));
-            notAfter = formatter.format(formatter.parse(mNotAfter.trim()));
+            // Check the parameter formats for errors
+            formatter.format(formatter.parse(mNotBefore.trim()));
+            formatter.format(formatter.parse(mNotAfter.trim()));
         } catch (Exception e) {
             // e.printStackTrace();
             Object[] params = { getInstanceName(), e };
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
index 6c1c6a4e819bb8c1b171daca805b66185747c746..b4ebb4b4530032c54a7f339041c78587ccba5d89 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -143,7 +143,6 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
 
     public PolicyResult applyCert(IRequest req, X509CertInfo certInfo) {
         CertificateExtensions extensions = null;
-        SubjectDirAttributesExtension subjDirExt = null;
 
         try {
             // get extension and remove if exists.
@@ -413,7 +412,7 @@ class AttributeConfig {
 
         while (n.hasMoreElements()) {
             sb.append(",");
-            sb.append((String) n.nextElement());
+            sb.append(n.nextElement());
         }
         return sb.toString();
     }
@@ -421,9 +420,9 @@ class AttributeConfig {
     private static void checkValue(ObjectIdentifier oid, String val)
             throws IOException {
         AVAValueConverter c = X500NameAttrMap.getDefault().getValueConverter(oid);
-        DerValue derval;
 
-        derval = c.getValue(val); // errs encountered will get thrown.
+        @SuppressWarnings("unused")
+        DerValue derval = c.getValue(val); // check for errors
         return;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
index 9416171215a960d4bee9413d47c11c8967344a69..cab5941888d7c984eee8192eb6bfae7afbdb00b1 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
@@ -221,7 +221,7 @@ public abstract class BasicProfile implements IProfile {
         StringTokenizer input_st = new StringTokenizer(input_list, ",");
 
         while (input_st.hasMoreTokens()) {
-            String input_id = (String) input_st.nextToken();
+            String input_id = input_st.nextToken();
             String inputClassId = inputStore.getString(input_id + "." +
                     PROP_CLASS_ID);
             IPluginInfo inputInfo = mRegistry.getPluginInfo("profileInput",
@@ -251,7 +251,7 @@ public abstract class BasicProfile implements IProfile {
         StringTokenizer output_st = new StringTokenizer(output_list, ",");
 
         while (output_st.hasMoreTokens()) {
-            String output_id = (String) output_st.nextToken();
+            String output_id = output_st.nextToken();
 
             String outputClassId = outputStore.getString(output_id + "." +
                     PROP_CLASS_ID);
@@ -282,7 +282,7 @@ public abstract class BasicProfile implements IProfile {
         StringTokenizer updater_st = new StringTokenizer(updater_list, ",");
 
         while (updater_st.hasMoreTokens()) {
-            String updater_id = (String) updater_st.nextToken();
+            String updater_id = updater_st.nextToken();
 
             String updaterClassId = updaterStore.getString(updater_id + "." +
                     PROP_CLASS_ID);
@@ -313,14 +313,14 @@ public abstract class BasicProfile implements IProfile {
         StringTokenizer st = new StringTokenizer(setlist, ",");
 
         while (st.hasMoreTokens()) {
-            String setId = (String) st.nextToken();
+            String setId = st.nextToken();
 
             IConfigStore policyStore = policySetStore.getSubStore(setId);
             String list = policyStore.getString(PROP_POLICY_LIST, "");
             StringTokenizer st1 = new StringTokenizer(list, ",");
 
             while (st1.hasMoreTokens()) {
-                String id = (String) st1.nextToken();
+                String id = st1.nextToken();
 
                 String defaultRoot = id + "." + PROP_DEFAULT;
                 String defaultClassId = policyStore.getString(defaultRoot + "." +
@@ -350,7 +350,7 @@ public abstract class BasicProfile implements IProfile {
     }
 
     public IProfileUpdater getProfileUpdater(String name) {
-        return (IProfileUpdater) mUpdaters.get(name);
+        return mUpdaters.get(name);
     }
 
     public Enumeration<String> getProfileOutputIds() {
@@ -358,7 +358,7 @@ public abstract class BasicProfile implements IProfile {
     }
 
     public IProfileOutput getProfileOutput(String name) {
-        return (IProfileOutput) mOutputs.get(name);
+        return mOutputs.get(name);
     }
 
     public Enumeration<String> getProfileInputIds() {
@@ -366,7 +366,7 @@ public abstract class BasicProfile implements IProfile {
     }
 
     public IProfileInput getProfileInput(String name) {
-        return (IProfileInput) mInputs.get(name);
+        return mInputs.get(name);
     }
 
     public void addInputName(String name) {
@@ -424,10 +424,9 @@ public abstract class BasicProfile implements IProfile {
             }
 
             int size = policies.size();
-            boolean found = false;
 
             for (int i = 0; i < size; i++) {
-                ProfilePolicy policy = (ProfilePolicy) policies.elementAt(i);
+                ProfilePolicy policy = policies.elementAt(i);
                 String id = policy.getId();
 
                 if (id.equals(policyId)) {
@@ -481,10 +480,9 @@ public abstract class BasicProfile implements IProfile {
                 newlist = newlist.substring(0, newlist.length() - 1);
 
             int size = mInputIds.size();
-            boolean found = false;
 
             for (int i = 0; i < size; i++) {
-                String id = (String) mInputIds.elementAt(i);
+                String id = mInputIds.elementAt(i);
 
                 if (id.equals(inputId)) {
                     mInputIds.removeElementAt(i);
@@ -522,10 +520,9 @@ public abstract class BasicProfile implements IProfile {
                 newlist = newlist.substring(0, newlist.length() - 1);
 
             int size = mOutputIds.size();
-            boolean found = false;
 
             for (int i = 0; i < size; i++) {
-                String id = (String) mOutputIds.elementAt(i);
+                String id = mOutputIds.elementAt(i);
 
                 if (id.equals(outputId)) {
                     mOutputIds.removeElementAt(i);
@@ -621,7 +618,7 @@ public abstract class BasicProfile implements IProfile {
             Enumeration<String> enum1 = nvps.getNames();
 
             while (enum1.hasMoreElements()) {
-                String name = (String) enum1.nextElement();
+                String name = enum1.nextElement();
 
                 outputStore.putString(prefix + "params." + name, nvps.getValue(name));
                 try {
@@ -724,7 +721,7 @@ public abstract class BasicProfile implements IProfile {
             Enumeration<String> enum1 = nvps.getNames();
 
             while (enum1.hasMoreElements()) {
-                String name = (String) enum1.nextElement();
+                String name = enum1.nextElement();
 
                 inputStore.putString(prefix + "params." + name, nvps.getValue(name));
                 try {
@@ -781,7 +778,7 @@ public abstract class BasicProfile implements IProfile {
                 Enumeration<String> keys = mPolicySet.keys();
 
                 while (keys.hasMoreElements()) {
-                    String k = (String) keys.nextElement();
+                    String k = keys.nextElement();
 
                     if (!(setlist.toString()).equals("")) {
                         setlist.append(",");
@@ -836,7 +833,7 @@ public abstract class BasicProfile implements IProfile {
 
         int matches = 0;
         while (st.hasMoreTokens()) {
-            String sId = (String) st.nextToken();
+            String sId = st.nextToken();
 
             //Only search the setId set. Ex: encryptionCertSet
             if (!sId.equals(setId)) {
@@ -854,7 +851,7 @@ public abstract class BasicProfile implements IProfile {
             StringTokenizer st1 = new StringTokenizer(list, ",");
 
             while (st1.hasMoreTokens()) {
-                String curId = (String) st1.nextToken();
+                String curId = st1.nextToken();
 
                 String defaultRoot = curId + "." + PROP_DEFAULT;
                 String curDefaultClassId = null;
@@ -996,7 +993,7 @@ public abstract class BasicProfile implements IProfile {
             return null;
 
         for (int i = 0; i < policies.size(); i++) {
-            ProfilePolicy policy = (ProfilePolicy) policies.elementAt(i);
+            ProfilePolicy policy = policies.elementAt(i);
 
             if (policy.getId().equals(id)) {
                 return policy;
@@ -1060,7 +1057,7 @@ public abstract class BasicProfile implements IProfile {
         Enumeration<String> ids = getProfileInputIds();
 
         while (ids.hasMoreElements()) {
-            String id = (String) ids.nextElement();
+            String id = ids.nextElement();
             IProfileInput input = getProfileInput(id);
 
             input.populate(ctx, request);
@@ -1084,8 +1081,7 @@ public abstract class BasicProfile implements IProfile {
         CMS.debug("BasicProfile: populate() policy setid =" + setId);
 
         for (int i = 0; i < policies.size(); i++) {
-            ProfilePolicy policy = (ProfilePolicy)
-                    policies.elementAt(i);
+            ProfilePolicy policy = policies.elementAt(i);
 
             policy.getDefault().populate(request);
         }
@@ -1102,8 +1098,7 @@ public abstract class BasicProfile implements IProfile {
         Vector<ProfilePolicy> policies = getPolicies(setId);
 
         for (int i = 0; i < policies.size(); i++) {
-            ProfilePolicy policy = (ProfilePolicy)
-                    policies.elementAt(i);
+            ProfilePolicy policy = policies.elementAt(i);
 
             policy.getConstraint().validate(request);
         }
@@ -1129,8 +1124,7 @@ public abstract class BasicProfile implements IProfile {
         Vector<String> v = new Vector<String>();
 
         for (int i = 0; i < policies.size(); i++) {
-            ProfilePolicy policy = (ProfilePolicy)
-                    policies.elementAt(i);
+            ProfilePolicy policy = policies.elementAt(i);
 
             v.addElement(policy.getId());
         }
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java
index cdaddef55287ec15c09342db5ff423ce37699039..3ad301b266113c827544ce1ef959b4ee59d2fa09 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/CACertCAEnrollProfile.java
@@ -20,11 +20,8 @@ package com.netscape.cms.profile.common;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.common.NameValuePairs;
-import com.netscape.certsrv.profile.IPolicyConstraint;
 import com.netscape.certsrv.profile.IPolicyDefault;
 import com.netscape.certsrv.profile.IProfileEx;
-import com.netscape.certsrv.profile.IProfileInput;
-import com.netscape.certsrv.profile.IProfileOutput;
 import com.netscape.certsrv.profile.IProfilePolicy;
 
 /**
@@ -43,25 +40,18 @@ public class CACertCAEnrollProfile extends CAEnrollProfile
     public void populate() throws EBaseException {
         // create inputs
         NameValuePairs inputParams1 = new NameValuePairs();
-        IProfileInput input1 =
-                createProfileInput("i1", "certReqInputImpl", inputParams1);
+        createProfileInput("i1", "certReqInputImpl", inputParams1);
         NameValuePairs inputParams2 = new NameValuePairs();
-        IProfileInput input2 =
-                createProfileInput("i2", "submitterInfoInputImpl", inputParams2);
+        createProfileInput("i2", "submitterInfoInputImpl", inputParams2);
 
         // create outputs 
         NameValuePairs outputParams1 = new NameValuePairs();
-        IProfileOutput output1 =
-                createProfileOutput("o1", "certOutputImpl", outputParams1);
+        createProfileOutput("o1", "certOutputImpl", outputParams1);
 
         // create policies
         IProfilePolicy policy1 =
                 createProfilePolicy("set1", "p1",
                         "userSubjectNameDefaultImpl", "noConstraintImpl");
-        IPolicyDefault def1 = policy1.getDefault();
-        IConfigStore defConfig1 = def1.getConfigStore();
-        IPolicyConstraint con1 = policy1.getConstraint();
-        IConfigStore conConfig1 = con1.getConfigStore();
 
         IProfilePolicy policy2 =
                 createProfilePolicy("set1", "p2",
@@ -70,8 +60,6 @@ public class CACertCAEnrollProfile extends CAEnrollProfile
         IConfigStore defConfig2 = def2.getConfigStore();
         defConfig2.putString("params.range", "180");
         defConfig2.putString("params.startTime", "0");
-        IPolicyConstraint con2 = policy2.getConstraint();
-        IConfigStore conConfig2 = con2.getConfigStore();
 
         IProfilePolicy policy3 =
                 createProfilePolicy("set1", "p3",
@@ -81,8 +69,6 @@ public class CACertCAEnrollProfile extends CAEnrollProfile
         defConfig3.putString("params.keyType", "RSA");
         defConfig3.putString("params.keyMinLength", "512");
         defConfig3.putString("params.keyMaxLength", "4096");
-        IPolicyConstraint con3 = policy3.getConstraint();
-        IConfigStore conConfig3 = con3.getConfigStore();
 
         IProfilePolicy policy4 =
                 createProfilePolicy("set1", "p4",
@@ -92,8 +78,6 @@ public class CACertCAEnrollProfile extends CAEnrollProfile
         defConfig4.putString("params.signingAlg", "-");
         defConfig4.putString("params.signingAlgsAllowed",
                 "SHA1withRSA,SHA256withRSA,SHA512withRSA,MD5withRSA,MD2withRSA,SHA256withEC,SHA384withEC,SHA512withEC");
-        IPolicyConstraint con4 = policy4.getConstraint();
-        IConfigStore conConfig4 = con4.getConfigStore();
 
         // extensions
         IProfilePolicy policy5 =
@@ -111,8 +95,6 @@ public class CACertCAEnrollProfile extends CAEnrollProfile
         defConfig5.putString("params.keyUsageKeyCertSign", "true");
         defConfig5.putString("params.keyUsageKeyEncipherment", "false");
         defConfig5.putString("params.keyUsageNonRepudiation", "true");
-        IPolicyConstraint con5 = policy5.getConstraint();
-        IConfigStore conConfig5 = con5.getConfigStore();
 
         IProfilePolicy policy6 =
                 createProfilePolicy("set1", "p6",
@@ -122,7 +104,5 @@ public class CACertCAEnrollProfile extends CAEnrollProfile
         defConfig6.putString("params.basicConstraintsPathLen", "-1");
         defConfig6.putString("params.basicConstraintsIsCA", "true");
         defConfig6.putString("params.basicConstraintsPathLen", "-1");
-        IPolicyConstraint con6 = policy6.getConstraint();
-        IConfigStore conConfig6 = con6.getConfigStore();
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/ServerCertCAEnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/ServerCertCAEnrollProfile.java
index 8a00f3f32da059a7f7f51d3b958fa9cf9cdc0b70..9be1e43c4e9f35a4d324c18df00feb8dc328842a 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/ServerCertCAEnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/ServerCertCAEnrollProfile.java
@@ -20,11 +20,8 @@ package com.netscape.cms.profile.common;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.common.NameValuePairs;
-import com.netscape.certsrv.profile.IPolicyConstraint;
 import com.netscape.certsrv.profile.IPolicyDefault;
 import com.netscape.certsrv.profile.IProfileEx;
-import com.netscape.certsrv.profile.IProfileInput;
-import com.netscape.certsrv.profile.IProfileOutput;
 import com.netscape.certsrv.profile.IProfilePolicy;
 
 /**
@@ -43,24 +40,16 @@ public class ServerCertCAEnrollProfile extends CAEnrollProfile
     public void populate() throws EBaseException {
         // create inputs
         NameValuePairs inputParams1 = new NameValuePairs();
-        IProfileInput input1 =
-                createProfileInput("i1", "certReqInputImpl", inputParams1);
+        createProfileInput("i1", "certReqInputImpl", inputParams1);
         NameValuePairs inputParams2 = new NameValuePairs();
-        IProfileInput input2 =
-                createProfileInput("i2", "submitterInfoInputImpl", inputParams2);
+        createProfileInput("i2", "submitterInfoInputImpl", inputParams2);
 
         // create outputs
         NameValuePairs outputParams1 = new NameValuePairs();
-        IProfileOutput output1 =
-                createProfileOutput("o1", "certOutputImpl", outputParams1);
+        createProfileOutput("o1", "certOutputImpl", outputParams1);
 
-        IProfilePolicy policy1 =
-                createProfilePolicy("set1", "p1",
+        createProfilePolicy("set1", "p1",
                         "userSubjectNameDefaultImpl", "noConstraintImpl");
-        IPolicyDefault def1 = policy1.getDefault();
-        IConfigStore defConfig1 = def1.getConfigStore();
-        IPolicyConstraint con1 = policy1.getConstraint();
-        IConfigStore conConfig1 = con1.getConfigStore();
 
         IProfilePolicy policy2 =
                 createProfilePolicy("set1", "p2",
@@ -69,8 +58,6 @@ public class ServerCertCAEnrollProfile extends CAEnrollProfile
         IConfigStore defConfig2 = def2.getConfigStore();
         defConfig2.putString("params.range", "180");
         defConfig2.putString("params.startTime", "0");
-        IPolicyConstraint con2 = policy2.getConstraint();
-        IConfigStore conConfig2 = con2.getConfigStore();
 
         IProfilePolicy policy3 =
                 createProfilePolicy("set1", "p3",
@@ -80,8 +67,6 @@ public class ServerCertCAEnrollProfile extends CAEnrollProfile
         defConfig3.putString("params.keyType", "RSA");
         defConfig3.putString("params.keyMinLength", "512");
         defConfig3.putString("params.keyMaxLength", "4096");
-        IPolicyConstraint con3 = policy3.getConstraint();
-        IConfigStore conConfig3 = con3.getConfigStore();
 
         IProfilePolicy policy4 =
                 createProfilePolicy("set1", "p4",
@@ -93,8 +78,6 @@ public class ServerCertCAEnrollProfile extends CAEnrollProfile
                 .putString(
                         "params.signingAlgsAllowed",
                         "SHA1withRSA,SHA256withRSA,SHA512withRSA,MD5withRSA,MD2withRSA,SHA1withEC,SHA256withEC,SHA384withEC,SHA512withEC");
-        IPolicyConstraint con4 = policy4.getConstraint();
-        IConfigStore conConfig4 = con4.getConfigStore();
 
         IProfilePolicy policy5 =
                 createProfilePolicy("set1", "p5",
@@ -111,8 +94,6 @@ public class ServerCertCAEnrollProfile extends CAEnrollProfile
         defConfig5.putString("params.keyUsageKeyCertSign", "false");
         defConfig5.putString("params.keyUsageKeyEncipherment", "true");
         defConfig5.putString("params.keyUsageNonRepudiation", "true");
-        IPolicyConstraint con5 = policy5.getConstraint();
-        IConfigStore conConfig5 = con5.getConfigStore();
 
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/UserCertCAEnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/UserCertCAEnrollProfile.java
index 69414707e4acd32a1f1bc7e1197d205c811b36f3..3f1cdfb21ace38fbc37d1a47abf3e6cce0f85df6 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/UserCertCAEnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/UserCertCAEnrollProfile.java
@@ -20,11 +20,8 @@ package com.netscape.cms.profile.common;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.common.NameValuePairs;
-import com.netscape.certsrv.profile.IPolicyConstraint;
 import com.netscape.certsrv.profile.IPolicyDefault;
 import com.netscape.certsrv.profile.IProfileEx;
-import com.netscape.certsrv.profile.IProfileInput;
-import com.netscape.certsrv.profile.IProfileOutput;
 import com.netscape.certsrv.profile.IProfilePolicy;
 
 /**
@@ -43,28 +40,18 @@ public class UserCertCAEnrollProfile extends CAEnrollProfile
     public void populate() throws EBaseException {
         // create inputs
         NameValuePairs inputParams1 = new NameValuePairs();
-        IProfileInput input1 =
-                createProfileInput("i1", "keyGenInputImpl", inputParams1);
+        createProfileInput("i1", "keyGenInputImpl", inputParams1);
         NameValuePairs inputParams2 = new NameValuePairs();
-        IProfileInput input2 =
-                createProfileInput("i2", "subjectNameInputImpl", inputParams2);
-        NameValuePairs inputParams3 = new NameValuePairs();
-        IProfileInput input3 =
-                createProfileInput("i3", "submitterInfoInputImpl", inputParams2);
+        createProfileInput("i2", "subjectNameInputImpl", inputParams2);
+        createProfileInput("i3", "submitterInfoInputImpl", inputParams2);
 
         // create outputs
         NameValuePairs outputParams1 = new NameValuePairs();
-        IProfileOutput output1 =
-                createProfileOutput("o1", "certOutputImpl", outputParams1);
+        createProfileOutput("o1", "certOutputImpl", outputParams1);
 
         // create policies
-        IProfilePolicy policy1 =
-                createProfilePolicy("set1", "p1",
+        createProfilePolicy("set1", "p1",
                         "userSubjectNameDefaultImpl", "noConstraintImpl");
-        IPolicyDefault def1 = policy1.getDefault();
-        IConfigStore defConfig1 = def1.getConfigStore();
-        IPolicyConstraint con1 = policy1.getConstraint();
-        IConfigStore conConfig1 = con1.getConfigStore();
 
         IProfilePolicy policy2 =
                 createProfilePolicy("set1", "p2",
@@ -73,8 +60,6 @@ public class UserCertCAEnrollProfile extends CAEnrollProfile
         IConfigStore defConfig2 = def2.getConfigStore();
         defConfig2.putString("params.range", "180");
         defConfig2.putString("params.startTime", "0");
-        IPolicyConstraint con2 = policy2.getConstraint();
-        IConfigStore conConfig2 = con2.getConfigStore();
 
         IProfilePolicy policy3 =
                 createProfilePolicy("set1", "p3",
@@ -84,8 +69,6 @@ public class UserCertCAEnrollProfile extends CAEnrollProfile
         defConfig3.putString("params.keyType", "RSA");
         defConfig3.putString("params.keyMinLength", "512");
         defConfig3.putString("params.keyMaxLength", "4096");
-        IPolicyConstraint con3 = policy3.getConstraint();
-        IConfigStore conConfig3 = con3.getConfigStore();
 
         IProfilePolicy policy4 =
                 createProfilePolicy("set1", "p4",
@@ -97,8 +80,6 @@ public class UserCertCAEnrollProfile extends CAEnrollProfile
                 .putString(
                         "params.signingAlgsAllowed",
                         "SHA1withRSA,SHA256withRSA,SHA512withRSA,MD5withRSA,MD2withRSA,SHA1withEC,SHA256withEC,SHA384withEC,SHA512withEC");
-        IPolicyConstraint con4 = policy4.getConstraint();
-        IConfigStore conConfig4 = con4.getConfigStore();
 
         IProfilePolicy policy5 =
                 createProfilePolicy("set1", "p5",
@@ -115,7 +96,5 @@ public class UserCertCAEnrollProfile extends CAEnrollProfile
         defConfig5.putString("params.keyUsageKeyCertSign", "false");
         defConfig5.putString("params.keyUsageKeyEncipherment", "true");
         defConfig5.putString("params.keyUsageNonRepudiation", "true");
-        IPolicyConstraint con5 = policy5.getConstraint();
-        IConfigStore conConfig5 = con5.getConfigStore();
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/BasicConstraintsExtConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/BasicConstraintsExtConstraint.java
index 3035227817d8cbc84a462cc400cf097795a74340..f924c587f72686464dedcbcf7fe838d59cdc4b2a 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/BasicConstraintsExtConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/BasicConstraintsExtConstraint.java
@@ -21,7 +21,6 @@ import java.io.IOException;
 import java.util.Locale;
 
 import netscape.security.x509.BasicConstraintsExtension;
-import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.PKIXExtensions;
 import netscape.security.x509.X509CertInfo;
 
@@ -100,7 +99,6 @@ public class BasicConstraintsExtConstraint extends EnrollConstraint {
      */
     public void validate(IRequest request, X509CertInfo info)
             throws ERejectException {
-        CertificateExtensions exts = null;
 
         try {
             BasicConstraintsExtension ext = (BasicConstraintsExtension)
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java
index d5ac9247dc96e3384d67b677a79ffa36677eb7ee..a2de3f491f5bdffb5b4bd9ac1b64fb2038c7f5ac 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/FreshestCRLExtDefault.java
@@ -28,7 +28,6 @@ import netscape.security.x509.GeneralName;
 import netscape.security.x509.GeneralNames;
 import netscape.security.x509.GeneralNamesException;
 import netscape.security.x509.PKIXExtensions;
-import netscape.security.x509.RDN;
 import netscape.security.x509.X509CertInfo;
 
 import com.netscape.certsrv.apps.CMS;
@@ -423,7 +422,6 @@ public class FreshestCRLExtDefault extends EnrollExtDefault {
 
         NameValuePairs pairs = new NameValuePairs();
 
-        RDN rdn = null;
         boolean hasFullName = false;
 
         pairs.add(ENABLE, "true");
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java
index 29562123e7e0a7c04087950f81a7463ef2c5df7a..a706fb4add235a55b9bb9a876188a0d6c0637954 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java
@@ -217,7 +217,6 @@ public class SubjectDirAttributesExtDefault extends EnrollExtDefault {
 
                 boolean critical = ext.isCritical();
 
-                X500NameAttrMap map = X500NameAttrMap.getDefault();
                 Vector<Attribute> attrV = new Vector<Attribute>();
                 for (int i = 0; i < size; i++) {
                     NameValuePairs nvps = v.elementAt(i);
@@ -511,9 +510,9 @@ class AttributeConfig {
     private static void checkValue(ObjectIdentifier oid, String val)
             throws IOException {
         AVAValueConverter c = X500NameAttrMap.getDefault().getValueConverter(oid);
-        DerValue derval;
 
-        derval = c.getValue(val); // errs encountered will get thrown.
+        @SuppressWarnings("unused")
+        DerValue derval = c.getValue(val); // check for errors
         return;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java
index 89f1ab8eedf445a47195c6b98b51cc9831a00beb..abdc770baace9aff545ef16e75d37fe1f55f9b22 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCaSimpleMap.java
@@ -145,8 +145,6 @@ public class LdapCaSimpleMap implements ILdapMapper, IExtendedPluginInfo {
             mDnPattern = DEFAULT_DNPATTERN;
         try {
             mPattern = new MapDNPattern(mDnPattern);
-            String[] mReqAttrs = mPattern.getReqAttrs();
-            String[] mCertAttrs = mPattern.getCertAttrs();
         } catch (ELdapException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("PUBLISH_DN_PATTERN_INIT", dnPattern, e.toString()));
             throw new EBaseException("falied to init with pattern " +
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertExactMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertExactMap.java
index 33c186c14b568099778a93033dacd364e43d32fa..11b53a7970b1bc36a3f69ed01e86c07adb5c5587 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertExactMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertExactMap.java
@@ -137,8 +137,6 @@ public class LdapCertExactMap implements ILdapMapper, IExtendedPluginInfo {
             }
         }
         try {
-            boolean hasCert = false;
-            boolean hasSubjectName = false;
             String[] attrs = new String[] { LDAPv3.NO_ATTRS };
 
             log(ILogger.LL_INFO, "Searching for " + subjectDN.toString());
